%define name photoflow
%define version 0.1.5
%define release %mkrel 2

Name:	%name
Version:	%{version}
Release:	%{release}
License:	GPLv2+
Url:	   https://github.com/aferrero2707/PhotoFlow     
Group:		Graphics
Source0:	%{name}-%{version}.tar.xz
Summary: Photo retouching program 
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
#---------------------------------------------
BuildRequires: cmake
BuildRequires: %{_lib}atk1.0-devel
BuildRequires: %{_lib}atkmm1.6-devel 
BuildRequires: %{_lib}cairo-devel 
BuildRequires: %{_lib}cairomm1.0-devel 
BuildRequires: %{_lib}exiv2-devel 
BuildRequires: %{_lib}fftw-devel 
BuildRequires: %{_lib}fontconfig-devel 
BuildRequires: %{_lib}freetype6-devel 
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel 
BuildRequires: %{_lib}glib2.0-devel 
BuildRequires: %{_lib}glibmm2.4-devel
BuildRequires: %{_lib}gtk+2.0_0-devel
BuildRequires: %{_lib}gtkmm2.4-devel 
BuildRequires: %{_lib}lcms2-devel 
BuildRequires: %{_lib}lensfun-devel 
BuildRequires: %{_lib}pango1.0-devel 
BuildRequires: %{_lib}pangomm2.4-devel
BuildRequires: %{_lib}tiff-devel 
BuildRequires: vips-devel 
#-----------------------------------------------

%description
The aim of the project is to provide a fully non-destructive photo retouching
program that includes a complete workflow from RAW image development
to high-quality printing.


%prep
%setup -q 

%build
%cmake -DCMAKE_BUILD_TYPE=Release -DINSTALL_PREFIX=%{_prefix}
%make

%install
rm -rf %buildroot
%{makeinstall_std} -C build
%find_lang %{name}

#no desktop file included in source package so lets make one
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=PhotoFlow
Name[DE]=PhotoFlow
Comment= Photo retouching program
Comment[de]= Photo retouching program
Exec=%{_bindir}/%name
Icon=graphics_section
Terminal=false
Type=Application
Categories=Graphics;X-MandrivaLinux-Multimedia-Graphics;
EOF

%clean
rm -rf %buildroot

%files -f %{name}.lang
%defattr(-,root,root,-)
%{_bindir}/pfbatch
%{_bindir}/photoflow
%{_datadir}/photoflow/gmic_def.gmic
%{_datadir}/photoflow/help/en/clone_stamp.hlp
%{_datadir}/photoflow/help/en/curves.hlp
%{_datadir}/photoflow/help/en/curves.hlp~
%{_datadir}/photoflow/themes/photoflow-dark.css
%{_datadir}/photoflow/themes/photoflow-dark.gtkrc
%{_datadir}/photoflow/themes/system.iconset
%{_datadir}/applications/%{name}.desktop

%changelog
* Mon Oct 01 2015 bb <bb> 0.1.5-2pclos2015
- rebuild
